### org.jfree.layouting.renderer.model.table.cols

# Class SpearateColumnModel

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.cols.AbstractColumnModel`
  - - `org.jfree.layouting.renderer.model.table.cols.SpearateColumnModel`

Implemented Interfaces:
  Cloneable, TableColumnModel

`public class SpearateColumnModel`
`extends AbstractColumnModel`

Creation-Date: 18.07.2006, 16:46:11

Author:
  Thomas Morgner

  ## Constructor Summary

  `SpearateColumnModel()`

  ## Method Summary

  `long`

  `getBorderSpacing()`

  `long`

  `getMaximumBoxSize()`

  `long`

  `getMinimumChunkSize()`

  `long`

  `getPreferredSize()`

  `void`

  `validateSizes(TableRenderBox table)`

  ### Methods inherited from class org.jfree.layouting.renderer.model.table.cols.AbstractColumnModel

  `addAutoColumn`, `addColumnGroup`, `clone`, `getBorderSpacing`, `getColumn`, `getColumnCount`, `getColumnGroup`, `getColumnGroupCount`, `getColumns`, `getGroupForIndex`, `isIncrementalModeSupported`, `isValidated`

## Constructor Details

### SpearateColumnModel

    public SpearateColumnModel()

## Method Details

### getBorderSpacing

    public long getBorderSpacing()

> Specified by:
>   getBorderSpacing in interface TableColumnModel
> Overrides:
>   getBorderSpacing in interface AbstractColumnModel

### getMaximumBoxSize

    public long getMaximumBoxSize()

### getMinimumChunkSize

    public long getMinimumChunkSize()

> Specified by:
>   getMinimumChunkSize in interface TableColumnModel

### getPreferredSize

    public long getPreferredSize()

> Specified by:
>   getPreferredSize in interface TableColumnModel

### validateSizes

    public void validateSizes(TableRenderBox table)

> Specified by:
>   validateSizes in interface TableColumnModel